=== removed directory 'CodeViewer/Codeviewer'
=== renamed file 'CodeViewer/Codeviewer/showcode.css' => 'CodeViewer/codeviewer.css'
--- CodeViewer/Codeviewer/showcode.css	2013-03-28 16:18:06 +0000
+++ CodeViewer/codeviewer.css	2013-04-03 09:09:01 +0000
@@ -1,33 +1,95 @@
-.interesting{background-color:#e8ffd8;border-bottom: 1px solid green;}
-
-.lineno{background-color:#ffeedd;}
-.linenointeresting{background-color:#f8e0d8;}
-
-.keyword{background-color:#ffffdd;border: 1px dotted green;}
-.keywordinteresting{background-color:#e8e8cd;border: 1px dotted green;}
-
-.highlightnormal{font-weight:bold}
-.highlightspecial{font-weight:bold;color:red;}
-
-.commented{color:grey;}
-
-.Topmenu {width:100%;height:44px;background:#ffeedd;background-image:url('CodeViewerMenuareaBack.png');}
-.RestContainer {width:100%;background:#ffffff;overflow:auto;}
-.panel {padding:3px;width:450px;border: 1px solid black;background-color:#ffffff;background-image:url('CodeViewerDescareaBack.png');background-repeat:repeat-x;}				
-.codecontent {margin-left:100px;border: 1px solid black;overflow:auto;}								
-
-body { margin: 0; padding: 0; }				
-img { border: 0px none;}
-
-.menubarstyle {width:100%;height:44px;background-image:url('CodeViewerMenuareaBack.png');}
-
-.buttonstyle {width:44px;vertical-align:middle;}
-.verticalaligntext {vertical-align:middle;font-family:Calibri,Sans-Serif;font-size:22px;font-weight:bold;font-style:italic}
-
-.descriptionheading {font-family:Calibri,Sans-Serif;text-align: center;font-size:18px;font-weight:bold;font-style:italic;}
-.description {font-family:Helvetica,Arial,Sans-Serif; font-size:14px;text-align: justify;}
-.interestingdescription {font-family:Helvetica,Arial,Sans-Serif; font-size:14px;background-color:#e8ffd8;border-bottom: 1px solid green;}
-.codeexample {font-family:LucindaConsole,Monospace; font-size:14px;font-weight:normal}				
-.exampleheading{font-family:Helvetica,Arial,Sans-Serif; font-size:12px;font-weight:bold;background-color:#e8e8ff;border: 1px dotted lightblue;}
-				
-				
+.interesting {
+    background-color: #e8ffd8;
+    border-bottom: 1px solid green;
+}
+.lineno { background-color: #ffeedd }
+.linenointeresting { background-color: #f8e0d8 }
+.keyword {
+    background-color: #ffffdd;
+    border: 1px dotted green;
+}
+.keywordinteresting {
+    background-color: #e8e8cd;
+    border: 1px dotted green;
+}
+.highlightnormal { font-weight: bold }
+.highlightspecial {
+    font-weight: bold;
+    color: red;
+}
+.commented { color: grey }
+.Topmenu {
+    width: 100%;
+    height: 44px;
+    background: #ffeedd;
+    background-image: url('../media../codeviewer/CodeViewerMenuareaBack.png');
+}
+.RestContainer {
+    width: 100%;
+    background: #ffffff;
+    overflow: auto;
+}
+.panel {
+    padding: 3px;
+    width: 450px;
+    border: 1px solid black;
+    background-color: #ffffff;
+    background-image: url('../media../codeviewer/CodeViewerDescareaBack.png');
+    background-repeat: repeat-x;
+}
+.codecontent {
+    margin-left: 100px;
+    border: 1px solid black;
+    overflow: auto;
+}
+body {
+    margin: 0;
+    padding: 0;
+}
+img { border: 0px none }
+.menubarstyle {
+    width: 100%;
+    height: 44px;
+    background-image: url('../media../codeviewer/CodeViewerMenuareaBack.png');
+}
+.buttonstyle {
+    width: 44px;
+    vertical-align: middle;
+}
+.verticalaligntext {
+    vertical-align: middle;
+    font-family: Calibri,Sans-Serif;
+    font-size: 22px;
+    font-weight: bold;
+    font-style: italic;
+}
+.descriptionheading {
+    font-family: Calibri,Sans-Serif;
+    text-align: center;
+    font-size: 18px;
+    font-weight: bold;
+    font-style: italic;
+}
+.description {
+    font-family: Helvetica,Arial,Sans-Serif;
+    font-size: 14px;
+    text-align: justify;
+}
+.interestingdescription {
+    font-family: Helvetica,Arial,Sans-Serif;
+    font-size: 14px;
+    background-color: #e8ffd8;
+    border-bottom: 1px solid green;
+}
+.codeexample {
+    font-family: LucindaConsole,Monospace;
+    font-size: 14px;
+    font-weight: normal;
+}
+.exampleheading {
+    font-family: Helvetica,Arial,Sans-Serif;
+    font-size: 12px;
+    font-weight: bold;
+    background-color: #e8e8ff;
+    border: 1px dotted lightblue;
+}
\ No newline at end of file

=== renamed file 'CodeViewer/Codeviewer/showcode.js' => 'CodeViewer/codeviewer.js'
=== renamed file 'CodeViewer/Codeviewer/showsource.php' => 'CodeViewer/codeviewer.php'
--- CodeViewer/Codeviewer/showsource.php	2013-03-28 15:45:58 +0000
+++ CodeViewer/codeviewer.php	2013-04-03 09:09:01 +0000
@@ -1,18 +1,18 @@
 <!DOCTYPE html>
 <html>
 	<head>
-		<link rel="stylesheet" type="text/css" href="showcode.css">
-		<script type="text/javascript" src="showcode.js"></script>
+		<link rel="stylesheet" type="text/css" href="codeviewer.css">
+		<script type="text/javascript" src="codeviewer.js"></script>
 	</head>
 	<body>
 <?php
-	include("showcode.php");
+	include("codeviewer_functions.php");
 	
-	menulayout("innan.php","efter.php","test2.txt","Example 1: Execution of AJAX API","test.txt", "test2.txt");
+	menulayout("innan.php","efter.php","example_code.txt","Example 1: Execution of AJAX API","example_code.txt", "example_code_description.txt");
 	
 	$interestingrows = array(
-		array(1,5,"Ajax function"),
-		array(7,8,"Ajax return function")
+		array(6,9,"Interesting row array"),
+		array(11,14,"Keywords")
 	);
 
 	$keywords = array(
@@ -21,12 +21,11 @@
 	);
 
 	$highlight = array(
-		array("{", "highlightnormal"),
-		array("}", "highlightnormal"),
-		array("function", "highlightspecial")
+		array("array", "highlightnormal"),
+		array("showfile", "highlightspecial")
 	);
 
-	showfile($interestingrows,$keywords,$highlight, "test.txt");
+	showfile($interestingrows,$keywords,$highlight, "example_code.txt");
 	menulayoutend();
 ?>
 </body>

=== renamed file 'CodeViewer/Codeviewer/showcode.php' => 'CodeViewer/codeviewerfunctions.php'
--- CodeViewer/Codeviewer/showcode.php	2013-03-28 15:37:50 +0000
+++ CodeViewer/codeviewerfunctions.php	2013-04-03 09:09:01 +0000
@@ -9,54 +9,52 @@
 	*/
 	function menulayout($forward,$backward,$downloadlink,$heading,$headinglink,$filecontent) {
 		if($backward != ""){
-			$backwardButton = "<a href='".$backward."'><img src='CodeViewerLeftbutton.png'></a>";
+			$backwardButton = "<a href='".$backward."'><img src='../media/codeviewer/CodeViewerLeftbutton.png'></a>";
 		}else{
-			$backwardButton = "<img src='CodeViewerLeftbuttonGrayed.png'>";
+			$backwardButton = "<img src='../media/codeviewer/CodeViewerLeftbuttonGrayed.png'>";
 		}
 
 		if($forward != ""){
-			$forwardButton = "<a href='".$forward."'><img src='CodeViewerRightbutton.png'></a>";
+			$forwardButton = "<a href='".$forward."'><img src='../media/codeviewer/CodeViewerRightbutton.png'></a>";
 		}else{
-			$forwardButton = "<img src='CodeViewerLeftbuttonGrayed.png'>";
+			$forwardButton = "<img src='../media/codeviewer/CodeViewerLeftbuttonGrayed.png'>";
 		}
 
 		if($downloadlink != ""){
-			$downloadButton = "<a href='".$downloadlink."'><img src='CodeViewerDownloadbutton.png'></a>";
+			$downloadButton = "<a href='".$downloadlink."'><img src='../media/codeviewer/CodeViewerDownloadbutton.png'></a>";
 		}else{
-			$downloadButton = "<img src='CodeViewerLeftbuttonGrayed.png'>";
+			$downloadButton = "<img src='../media/codeviewer/CodeViewerLeftbuttonGrayed.png'>";
 		}
 
-		?>
-		<body onload='resize();' onresize='resize();'>
-			<div class='Topmenu'>
-				<table style='width:100%;height:100%;border:solid 1px;'>
+		echo '		<body onload="resize();" onresize="resize();">
+			<div class="Topmenu">
+				<table style="width:100%;height:100%;border:solid 1px;">
 					<tr>
 						<td class="buttonstyle">
-							<?=$backwardButton;?>
-						</td>
-						<td class='buttonstyle'>
-							<?=$forwardButton;?>
-						</td>
-						<td class="buttonstyle">
-							<a href='../Lindex.html'><img src='CodeViewerRightbutton.png'></a>
+							'. $backwardButton .'
+						</td>
+						<td class="buttonstyle">
+							'. $forwardButton .'
+						</td>
+						<td class="buttonstyle">
+							<a href="../Lindex.html"><img src="../media/codeviewer/CodeViewerRightbutton.png"></a>
 						</td>
 						<td class="verticalaligntext">
-							<a href="<?=$headinglink;?>" style="text-decoration: none"><?=$heading;?></a>
+							<a href="'. $headinglink .'" style="text-decoration: none">'. $heading .'</a>
 						</td>
-						<td class='buttonstyle'>
-							<?=$downloadButton;?>
+						<td class="buttonstyle">
+							'. $downloadButton .'
 						</td>
 					</tr>
 				</table>
 			</div>
 			<div id="bottom" class="restContainer">
 				<div style="float: left;">
-					<div id="panel" class="panel" onmousemove='resizepanel(event)' onmousedown='mdpanel(event)' onmouseup='mupanel(event)'>
-						<?php include($filecontent); ?>
-					</div>
+					<div id="panel" class="panel" onmousemove="resizepanel(event)" onmousedown="mdpanel(event)" onmouseup="mupanel(event)">';
+						include($filecontents);
+					echo '				</div>
 				</div>
-				<div class="codecontent">
-		<?php
+				<div class="codecontent">';
 	}
 
 	/* function menulayoutend

=== added file 'CodeViewer/example_code.php'
--- CodeViewer/example_code.php	1970-01-01 00:00:00 +0000
+++ CodeViewer/example_code.php	2013-04-03 09:09:01 +0000
@@ -0,0 +1,24 @@
+<?php
+	include("showcode.php");
+	
+	menulayout("innan.php","efter.php","test2.txt","Example 1: Execution of AJAX API","test.txt", "test2.txt");
+	
+	$interestingrows = array(
+		array(1,5,"Ajax function"),
+		array(7,8,"Ajax return function")
+	);
+
+	$keywords = array(
+		"showCustomer",
+		"ResultCustomer"
+	);
+
+	$highlight = array(
+		array("{", "highlightnormal"),
+		array("}", "highlightnormal"),
+		array("function", "highlightspecial")
+	);
+
+	showfile($interestingrows,$keywords,$highlight, "test.txt");
+	menulayoutend();
+?>
\ No newline at end of file

=== added file 'CodeViewer/example_code.txt'
--- CodeViewer/example_code.txt	1970-01-01 00:00:00 +0000
+++ CodeViewer/example_code.txt	2013-04-03 09:09:01 +0000
@@ -0,0 +1,24 @@
+<?php
+	include("showcode.php");
+	
+	menulayout("innan.php","efter.php","test2.txt","Example 1: Execution of AJAX API","test.txt", "test2.txt");
+	
+	$interestingrows = array(
+		array(1,5,"Ajax function"),
+		array(7,8,"Ajax return function")
+	);
+
+	$keywords = array(
+		"showCustomer",
+		"ResultCustomer"
+	);
+
+	$highlight = array(
+		array("{", "highlightnormal"),
+		array("}", "highlightnormal"),
+		array("function", "highlightspecial")
+	);
+
+	showfile($interestingrows,$keywords,$highlight, "test.txt");
+	menulayoutend();
+?>
\ No newline at end of file

=== added file 'CodeViewer/example_code_description.txt'
--- CodeViewer/example_code_description.txt	1970-01-01 00:00:00 +0000
+++ CodeViewer/example_code_description.txt	2013-04-03 09:09:01 +0000
@@ -0,0 +1,1 @@
+this code is dumb
\ No newline at end of file

=== added directory 'media/codeviewer'
=== renamed file 'CodeViewer/Codeviewer/CodeViewerDescareaBack.png' => 'media/codeviewer/CodeViewerDescareaBack.png'
=== renamed file 'CodeViewer/Codeviewer/CodeViewerDownloadbutton.png' => 'media/codeviewer/CodeViewerDownloadbutton.png'
=== renamed file 'CodeViewer/Codeviewer/CodeViewerLeftbutton.png' => 'media/codeviewer/CodeViewerLeftbutton.png'
=== renamed file 'CodeViewer/Codeviewer/CodeViewerLeftbuttonGrayed.png' => 'media/codeviewer/CodeViewerLeftbuttonGrayed.png'
=== renamed file 'CodeViewer/Codeviewer/CodeViewerMenuareaBack.png' => 'media/codeviewer/CodeViewerMenuareaBack.png'
=== renamed file 'CodeViewer/Codeviewer/CodeViewerRightbutton.png' => 'media/codeviewer/CodeViewerRightbutton.png'
